Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009801 [DCSS] Bug Report tweak have not tried 2015-06-21 22:22 2015-06-29 18:37
Reporter RobertPalmer View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status resolved   Product Branch 0.17 ancient branch
Summary 0009801: -17 dex stat drain from Xom petrify+quasits led to "forced XP grind or death"
Description While in Dis, something absurd happened: I went to -17 dex. Xom slammed me with a huge demon mob. Somehow in there (I still don't know how, perhaps a Hell effect?) I got petrified and the quasits mauled my dexterity down while I stood helpless.

I managed to drag my ass out of Hell with the rune at -17 dex (the actual drain was worse, as I had on a +7dex ring, meaning it was AT LEAST -24, I may have had on even more +dex at the time).

With my 13AC and 1EV, permaslow and clumsy, I couldn't take on Zot (the last area for me to run besides Coc).

I realized the only non-suicidal option would be to grind scant spawns around the dungeon. Only after getting my dex back up about 5 points through grinding did someone point out I could stack dex from unused gear. Which got me up to 2 and fixed my EV1 problem.

But then Xom hit me with... you guessed it. Dex drain. I got a death message from it, which Xom pulled me out of with a confused mutter. Even with all the dex stacking I'd done landed me at -2. So, I had to grind even more to fix it instead of chancing Zot.

While the dex drain was my fault (not dealing with petrify using ?cancel and worshiping Xom in the first place), the results wound up encouraging me to grind to undo the dex drain and backtrack all over the place to find +dex gear.

While I found the experience, honestly, challenging and something I've never had to do in Crawl before, it feels like it might be a situation you guys would want to avoid putting a player in. For a bit I was just randomly wandering Depths while my food dwindled waiting for mobs to show up so I could safely kill them.

I'm putting this report in to make it known that the current stat drain mechanics can, circumstantially, lead to making grinding it back up the most appealing and reasonable option.

I did have options such as "switch to ely, wander abyss:1 permaslow waiting for purification piety, then switch back to Xom" but it seemed both risky and scummy. It felt contrary to Crawl design to make these sorts of solutions the only alternative to death or grinding, so I decided to issue this to show what kinds of things can happen with the current stat drain mechanics.

In the chardump @103354 you'll find the moment where all this started.
Additional Information
Tags No tags attached.
Attached Files txt file icon morgue-RobertPalmer-20150621-194606.txt [^] (158,937 bytes) 2015-06-21 22:22

- Relationships

-  Notes
(0029249)
MarvinPA (developer)
2015-06-29 18:37

Severe stat drain (below 0) now recovers a bunch faster: https://github.com/crawl/crawl/commit/34fd0a8ec593bf972e773195be2958c387c21f92 [^]

Hopefully that should help address really extreme cases like this, other than that the main problem would be that it's possible to sit around in Depths grinding XP in the first place I guess.

- Issue History
Date Modified Username Field Change
2015-06-21 22:22 RobertPalmer New Issue
2015-06-21 22:22 RobertPalmer File Added: morgue-RobertPalmer-20150621-194606.txt
2015-06-24 10:25 TAS2012 Issue Monitored: TAS2012
2015-06-29 18:37 MarvinPA Note Added: 0029249
2015-06-29 18:37 MarvinPA Status new => resolved
2015-06-29 18:37 MarvinPA Fixed in Branch => 0.16 pre-release branch
2015-06-29 18:37 MarvinPA Resolution open => done
2015-06-29 18:37 MarvinPA Assigned To => MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker